;InnoSetupVersion=3.0.5

[Setup]
AppName=DriverMax
AppVerName=DriverMax 1.2
AppId=DMX1
AppPublisher=Innovative Solutions
AppPublisherURL=http://www.innovative-sol.com/
AppSupportURL=http://www.innovative-sol.com/
AppUpdatesURL=http://www.innovative-sol.com/
DefaultDirName={pf}\Innovative Solutions\DriverMax
DefaultGroupName=DriverMax
OutputBaseFilename=drivermax
Compression=zip
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\devices.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dpinst_x86.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dpinst_x64.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dpinst_ia64.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\custom_image.jpg"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\installed_devices_template.htm"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\sigla2.png"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\susdr.png"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\suslinie.png"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\installed_devices_report.htm"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 
Source: "{app}\Reports\Devices\installed_devices_report.txt"; DestDir: "{app}\Reports\Devices"; Flags: ignoreversion 

[Dirs]
Name: "{app}\Drivers"; 

[INI]
FileName: "{app}\dmx.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.innovative-sol.com"; 

[Run]
Filename: "{app}\devices.exe"; Description: "Launch DriverMax"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\DriverMax"; Filename: "{app}\devices.exe"; 
Name: "{group}\Other products by Innovative Solutions"; Filename: "{app}\dmx.url"; 
Name: "{userdesktop}\DriverMax"; Filename: "{app}\devices.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\DriverMax"; Filename: "{app}\devices.exe"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\dmx.url"; 
Type: filesandordirs; Name: "{app}\Drivers"; 
Type: filesandordirs; Name: "{app}\Reports"; 
Type: filesandordirs; Name: "{app}\Details"; 
Type: files; Name: "{app}\log.txt"; 
Type: files; Name: "{app}\*.zip"; 
